### Method

# AppStreamCompose Result gcid_for_component

#### Declaration [src]

    const gchar*
    asc_result_gcid_for_component (
      AscResult* result,
      AsComponent* cpt
    )

#### Description

No description available.

#### Parameters

`cpt`

  Type: `AsComponent`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `const gchar*`

No description available.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.